org.apache.sling.commons.html.impl.parser

## Class TagParserTokenManager

- java.lang.Object
- - org.apache.sling.commons.html.impl.parser.TagParserTokenManager

All Implemented Interfaces:
  TagParserConstants

    public class TagParserTokenManager
    extends Object
    implements TagParserConstants

Token Manager.

### Field Summary

Fields
`protected char` `curChar`
`PrintStream` `debugStream` Debug output.
`protected SimpleCharStream` `input_stream`
`static int[]` `jjnewLexState` Lex State array.
`static String[]` `jjstrLiteralImages` Token literal values.
`static String[]` `lexStateNames` Lexer state names.

### Fields inherited from interface org.apache.sling.commons.html.impl.parser.TagParserConstants

`ATTR_EQ, ATTR_IDENTIFIER, ATTR_NAME, ATTR_VAL, ATTR_VALUE, COMMENT, COMMENT_END, COMMENT_START, COMMENT_WORD, DECL_ATTR, DECL_END, DECL_START, DECL_TAG, DECLARATION, DEFAULT, DQUOTE, END_OF_TAG, ENDTAG_START, EOF, ERROR, IN_DECLARATION, IN_TAG, LIT_ERROR, LST_ERROR, NAME_IDENTIFIER, RAWTEXT, SPACE, SQUOTE, START_TAG, STRING, TAG_END, TAG_NAME, TAG_SLASHEND, TAG_START, tokenImage`

### Constructor Summary

Constructors
Constructor and Description
`TagParserTokenManager(SimpleCharStream stream)` Constructor.
`TagParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### debugStream

    public PrintStream debugStream

Debug output.

#### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

Token literal values.

#### lexStateNames

    public static final String[] lexStateNames

Lexer state names.

#### jjnewLexState

    public static final int[] jjnewLexState

Lex State array.

#### input_stream

    protected SimpleCharStream input_stream

#### curChar

    protected char curChar

### Constructor Detail

#### TagParserTokenManager

    public TagParserTokenManager(SimpleCharStream stream)

Constructor.

#### TagParserTokenManager

    public TagParserTokenManager(SimpleCharStream stream,
                                 int lexState)

Constructor.

### Method Detail

#### setDebugStream

    public void setDebugStream(PrintStream ds)

Set debug output.

#### ReInit

    public void ReInit(SimpleCharStream stream)

Reinitialise parser.

#### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

Reinitialise parser.

#### SwitchTo

    public void SwitchTo(int lexState)

Switch to specified lex state.

#### jjFillToken

    protected Token jjFillToken()

#### getNextToken

    public Token getNextToken()

Get the next Token.